=== libemailfunctions/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${CMAKE_SOURCE_DIR}/libkmime
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### header files ################################

if( BUILD_LIBKDEPIM )
  install( FILES idmapper.h DESTINATION ${INCLUDE_INSTALL_DIR}/libemailfunctions )
endif()


##### emailfunctions (static) ###################

tde_add_library( emailfunctions STATIC_PIC AUTOMOC
  SOURCES
    email.cpp idmapper.cpp kasciistricmp.cpp
    kasciistringtools.cpp networkstatus.cpp networkstatus.skel
)
