=== kandy/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libkdepim )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kandy )
install( FILES kandy.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES uninstall.desktop RENAME kandy.desktop DESTINATION ${APPS_INSTALL_DIR}/Utilities )
install( FILES kandy.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kandyui.rc kandymobileui.rc DESTINATION ${DATA_INSTALL_DIR}/kandy )


##### kandy (executable) ########################

tde_add_executable( kandy AUTOMOC
  SOURCES
    main.cpp kandy.cpp cmdpropertiesdialog_base.ui
    cmdpropertiesdialog.cpp kandyview.cpp kandyiface.skel modem.cpp
    atcommand.cpp commanditem.cpp mobilegui_base.ui mobilegui.cpp
    commandscheduler.cpp commandset.cpp kandyprefs.kcfgc
    kandyprefsdialog.cpp mobilemain.cpp
  LINK kdepim-shared ${LOCKDEV_LIBRARY}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kandy_client (executable) #################

tde_add_executable( kandy_client AUTOMOC
  SOURCES kandy_client.cpp
  LINK kdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
