=== debian/control ===
Source: kdepim-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt,
 cdparanoia, gawk, gettext, kdelibs4-trinity-dev, bison, byacc, bzip2,
 flex, groff-base, libopensync0-dev, libogg-dev,
 libboost-dev (>= 1.33.1), libgpgme11-dev, liblockdev1-dev,
 libpisock-dev, libreadline5-dev | libreadline6-dev, libsasl2-dev, libssl-dev,
 libtool (>= 1.5), libxpm-dev, libxss-dev, sharutils, texinfo, dpkg-dev (>= 1.14.4),
 libgpg-error-dev (>= 1.4-2), gpgsm, libical-dev,
 libcaldav-dev (>= 0.6.5), libcarddav-dev (>= 0.6.2), libcurl4-gnutls-dev,
 cmake, libtool, libltdl-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, kdelibs4-trinity-doc
Build-Conflicts: libkleopatra0-trinity-dev
Standards-Version: 3.8.4

Package: kdepim-trinity
Section: kde
Architecture: all
Replaces: kdepim-kde3 (<< 4:3.5.13)
Breaks: kdepim-kde3 (<< 4:3.5.13)
Depends: akregator-trinity (>= ${Source-Version}), kaddressbook-trinity (>= ${Source-Version}), kalarm-trinity (>= ${Source-Version}), kandy-trinity (>= ${Source-Version}), karm-trinity (>= ${Source-Version}), kdepim-kfile-plugins-trinity (>= ${Source-Version}), kdepim-kio-plugins-trinity (>= ${Source-Version}), kdepim-kresources-trinity (>= ${Source-Version}), kdepim-wizards-trinity (>= ${Source-Version}), kitchensync-trinity (>= ${Source-Version}), kleopatra-trinity (>= ${Source-Version}), kmail-trinity (>= ${Source-Version}), kmailcvt-trinity (>= ${Source-Version}), knode-trinity (>= ${Source-Version}), knotes-trinity (>= ${Source-Version}), konsolekalendar-trinity (>= ${Source-Version}), kontact-trinity (>= ${Source-Version}), korganizer-trinity (>= ${Source-Version}), korn-trinity (>= ${Source-Version}), ktnef-trinity (>= ${Source-Version}), libindex0-trinity (>= ${Source-Version}), libkcal2b-trinity (>= ${Source-Version}), libkdepim1a-trinity (>= ${Source-Version}), libkgantt0-trinity (>= ${Source-Version}), libkleopatra1-trinity (>= ${Source-Version}), libkpimexchange1-trinity (>= ${Source-Version}), libkpimidentities1-trinity (>= ${Source-Version}), libksieve0-trinity (>= ${Source-Version}), libktnef1-trinity (>= ${Source-Version}), libmimelib1c2a-trinity (>= ${Source-Version})
Suggests: kdepim-trinity-doc-html
Description: Personal Information Management apps from the official Trinity release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of Trinity.
 .
  Homepage: http://pim.kde.org/

Package: kdepim-trinity-dbg
Priority: extra
Section: libdevel
Replaces: kdepim-kde3-dbg (<< 4:3.5.13)
Breaks: kdepim-kde3-dbg (<< 4:3.5.13)
Depends: kdelibs-trinity-dbg
Architecture: any
Description: debugging symbols for kdepim-trinity
 This package contains the debugging symbols associated with kdepim-trinity.
 They will automatically be used by gdb for debugging kdepim-related
 issues.

Package: kdepim-trinity-dev
Section: devel
Architecture: any
Replaces: kdepim-kde3-dev (<< 4:3.5.13)
Breaks: kdepim-kde3-dev (<< 4:3.5.13)
Depends: kaddressbook-trinity (= ${Source-Version}), kalarm-trinity (= ${Source-Version}), kdepim-kresources-trinity (= ${Source-Version}), kmail-trinity (= ${Source-Version}), knotes-trinity (= ${Source-Version}), kontact-trinity (= ${Source-Version}), korganizer-trinity (= ${Source-Version}), libkpimidentities1-trinity (= ${Source-Version}), libkcal2-trinity-dev (= ${Source-Version}), libkdepim1-trinity-dev (= ${Source-Version}), libkgantt0-trinity-dev (= ${Source-Version}), libkleopatra1-trinity-dev (= ${Source-Version}), libkpimexchange1-trinity-dev (= ${Source-Version}), libksieve0-trinity-dev (= ${Source-Version}), libktnef1-trinity-dev (= ${Source-Version}), libmimelib1-trinity-dev (= ${Source-Version})
Description: KDE Personal Information Management [development]
 This package contains development files needed to compile kdepim applications.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: kdepim-trinity-doc
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc (<< 4:3.5.13)
Breaks: kdepim-kde3-doc (<< 4:3.5.13)
Suggests: konqueror-trinity | www-browser, doc-base
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: kdepim-trinity-doc-html
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc-html (<< 4:3.5.13)
Breaks: kdepim-kde3-doc-html (<< 4:3.5.13)
Suggests: konqueror-trinity | www-browser, kdepim-trinity
Description: KDE PIM documentation in HTML format
 By default the Personal Information Management applications provided with
 KDE only provide their documentation in KDE docbook format, which can only
 be read by Konqueror or KHelpCenter. This package provides all of the
 KDE PIM documentation converted to HTML format so it can be read with any
 web browser.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/

Package: akregator-trinity
Section: web
Architecture: any
Replaces: akregator-kde3 (<< 4:3.5.13)
Breaks: akregator-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: RSS feed aggregator for KDE
 aKregator is a fast, lightweight, and intuitive feed reader program
 for KDE.  It allows you to quickly browse through hundreds of
 thousands of internet feeds in a quick, efficient, and familiar way.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 .
  Homepage: http://akregator.kde.org/

Package: kaddressbook-trinity
Section: utils
Architecture: any
Replaces: kaddressbook-kde3 (<< 4:3.5.13)
Breaks: kaddressbook-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: kontact-trinity (<< 4:3.5.7-1ubuntu5)
Suggests: kdepim-kresources-trinity, kdebase-kio-plugins-trinity
Description: KDE NG addressbook application
 KAddressBook is the main address book application for KDE; it enables you
 to manage your contacts efficiently and comfortably. It can load and save
 your contacts to many different locations, including the local file system,
 LDAP servers, and SQL databases.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kalarm-trinity
Section: kde
Architecture: any
Replaces: kalarm-kde3 (<< 4:3.5.13)
Breaks: kalarm-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: kmix-trinity, kttsd-trinity
Description: Trinity alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file, It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 As an alternative to using the graphical interface, alarms can be scheduled
 from the command line or via DCOP calls from other programs. KAlarm is
 KDE-based, but will also run on other desktops.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kandy-trinity
Section: utils
Architecture: any
Replaces: kandy-kde3 (<< 4:3.5.13)
Breaks: kandy-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: Trinity mobile phone utility
 At the moment Kandy is more or less a terminal program with some special
 features to store commands and their parameters, but is also has a simple GUI
 to access the phone book of a mobile phone and it is able to save this phone
 book to the KDE address book.
 .
 Kandy is aimed at mobile phones with integrated (GSM) modems.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: karm-trinity
Section: utils
Architecture: any
Replaces: karm-kde3 (<< 4:3.5.13)
Breaks: karm-kde3 (<< 4:3.5.13)
Conflicts: kontact-trinity (<< 4:3.5.7-1ubuntu5)
Depends: ${shlibs:Depends}
Description: Trinity time tracker tool
 KArm is a time tracker for busy people who need to keep track of the amount of
 time they spend on various tasks.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-kfile-plugins-trinity
Section: kde
Architecture: any
Replaces: kdepim-kfile-plugins-kde3 (<< 4:3.5.13)
Breaks: kdepim-kfile-plugins-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: KDE File dialog plugins for palm and vcf files
 File dialog plugins for palm and vcf files.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-kio-plugins-trinity
Section: kde
Architecture: any
Replaces: kdepim-kio-plugins-kde3 (<< 4:3.5.13)
Breaks: kdepim-kio-plugins-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: Trinity pim I/O Slaves
 This package includes the pim kioslaves. This includes imap4, sieve,
 and mbox.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-kresources-trinity
Section: kde
Architecture: any
Replaces: kdepim-kresources-kde3 (<< 4:3.5.13)
Breaks: kdepim-kresources-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}, korganizer-trinity
Suggests: knotes-trinity
Description: Trinity pim resource plugins
 This package includes several plugins needed to interface with groupware
 servers. It also includes plugins for features such as blogging and
 tracking feature plans.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-wizards-trinity
Section: kde
Architecture: any
Replaces: kdepim-wizards-kde3 (<< 4:3.5.13)
Breaks: kdepim-wizards-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: egroupware
Description: Trinity server configuration wizards
 This package contains KDE-based wizards for configuring eGroupware,
 Kolab, and SUSE Linux Openexchange servers.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kitchensync-trinity
Section: kde
Architecture: any
Replaces: kitchensync-kde3 (<< 4:3.5.13)
Breaks: kitchensync-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: konqueror-trinity
Conflicts: kdebluetooth-irmcsync-trinity (<< 0.99+1.0beta2-4.1), ksync-trinity
Description: Synchronization framework
